/*
Просьба, если здесь или в html есть ошибка или совет, то пометить комментарием
с поменткой ***КОММЕНТ МЕНТОРА
*/

body {
  font-family: sans-serif;
}

.page-container {
  width: 1280px;
  height: 100%;
  margin: 0 auto;/* Центрируем контейнер для всей страницы */
  font-size: 0;/* Фикс чтобы убрать пробелы между инлайн блоками */
}

/* Стиль пунктов меню везде одинаковый - первые буквы слова большие */
.header, .left-menu, .footer {
  text-transform: capitalize;
}

a {text-decoration: none;}

.logo {
  color: black;
  font-size: 80px;
  display: inline-block;/* Чтобы работали вертикальные марджины для ссылки */
  margin: 65px 0;
}

.light-blue {color: #4bcaff;}

.header {
  height: 70px;
  background-color: #35444f;
  color: white;
  width: 100%;
  margin-bottom: 55px;
  font-size: 0; /* Фикс чтобы убрать пробелы между инлайн ссылками в меню */
  text-align: center; /* Чтобы отцентрировать инлайн-элементы (пункты меню) */
  box-sizing: border-box;
}

.header-item {
  display: inline-block;/* Чтобы отцентрировать инлайн-элементы (пункты меню) */
  box-sizing: border-box;
  border-left: 1px solid transparent;/* На ховер добавляются бордеры, поэтому тут добавил чтобы не прыгало */
  border-right: 1px solid transparent;
} 

.header-item-link {
  color: white;
  line-height: 70px; /*Выравниваем текст веритикально*/
  padding: 0 40px;
  display: inline-block; /* Чтобы ссылка унаследовала высоту .header и была кликабельной по всей высоте*/
  font-size: 24px;
  box-sizing: border-box;
}

.header-item:hover {
  background-color: #222f3a;
  border-left: 1px solid #818181;
  border-right: 1px solid #818181;
  box-sizing: border-box;
}

.left-menu {
  display: inline-block; /*Чтобы справа встал main*/
  width:30%;
  box-sizing: border-box;
  vertical-align: top;
  /***ВОПРОС МЕНТОРУ:Не совсем понял почему блок по-умолчанию выровнен по нижней линии и здесь нужен vertical align*/

  padding-right: 28px;
  font-size: 27px;
}

.left-menu-box {border: 1px solid black;}

.left-menu-item {height: 80px;}

.left-menu-item:hover {
  text-indent: 25px;
  background-color: #dbdbdb;
}

.left-menu-item-link{
  display: block;
  padding-left: 45px;
  color: #485863;
  line-height: 80px;/*Выравниваем текст веритикально*/
}

.main-content {
  display: inline-block; /*Чтобы встать справа от .left menu*/
  box-sizing: border-box;
  width: 70%;
  padding-left: 28px;
}

.main-img {
  width:100%;
  height: 530px;
  border: 1px solid black;
  background-image: url("../img/top-img.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 320px; /*Чтобы работал транзишн нужно явно задавать начальное значение свойства*/
  transition: background-size 500ms;
}

.main-img:hover {
  background-size: 350px;
}

.text-content {margin: 50px 30px;}

.text-content p {
  margin-bottom: 35px;
  font-size: 18px;
  line-height: 24px;
}

.bottom-menu {
  background-color: #b4b7ba;
  height: 70px;
  margin-bottom: 30px;
  font-size: 0; /* Фикс чтобы убрать пробелы между инлайн блоками */
}

.bottom-menu-item-container {
  display: inline-block; /*Чтобы копирайт стал справа*/
  width: 80%;
  box-sizing: border-box;
  font-size: 0; /*Фикс чтобы убрать пробелы мжеду инлайн ссылками в меню*/
  padding-left: 33px;
}

.bottom-menu-item {
  display: inline-block; /* Чтобы li стали в строку */
}

.bottom-menu-link {
  display: inline-block;/* Чтобы ссылка унаследовала высоту футтера и была кликабельной по всей высоте*/
  line-height: 70px;
  padding: 0 12px;
  font-size: 28px;
  color: black;
}

.bottom-menu-link:hover {
  text-decoration: underline;
  color: #3181a6;
}

.bottom-menu-copyright {
  display: inline-block;/*Чтобы стал справа от .footer-item-container */
  text-align: right;
  width: 20%;
  padding-right: 45px;
  box-sizing: border-box;
  font-size: 24px;
}